%define upstream_name    PerlIO-via-gzip
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    PerlIO layer for gzip (de)compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(Module::Build)
BuildRequires: perl(PerlIO::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module provides a PerlIO layer for transparent gzip de/compression,
using the IO::Compress::Gzip manpage and the IO::Uncompress::Gunzip
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-5.mga9
+ Revision: 1810042
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-4.mga8
+ Revision: 1506006
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-3.mga7
+ Revision: 1285722
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-2.mga7
+ Revision: 1166200
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.30.0-1.mga7
+ Revision: 1157970
- update to 0.03

* Sun Jun 19 2016 pterjan <pterjan> 0.21.0-7.mga6
+ Revision: 1031980
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.21.0-6.mga6
+ Revision: 947012
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.21.0-5.mga5
+ Revision: 747289
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.21.0-3.mga4
+ Revision: 514126
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.21.0-2.mga3
+ Revision: 371794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.21.0-1.mga1
+ Revision: 34148
- mageia rebuild
- imported package perl-PerlIO-via-gzip


* Fri Jan 14 2011 cpan2dist 0.021-1mdv
- initial mdv release, generated with cpan2dist
